FROM docker.io/library/nginx:alpine

RUN apk add hugo git

WORKDIR /opt

RUN git clone https://codeberg.org/TechTransThai/compute4change-news.git

WORKDIR /opt/compute4change-news

RUN git submodule update --init --recursive

RUN hugo

RUN cp -r public/* /usr/share/nginx/html